summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPawel Hajdan, Jr <phajdan.jr@gentoo.org>2016-08-24 12:23:02 +0200
committerPawel Hajdan, Jr <phajdan.jr@gentoo.org>2016-08-24 12:23:02 +0200
commitfd5fb1553ba548e3b5553c46170ea3b91a71fed2 (patch)
treefc864966a58e7a6d137f1ba065d3b78f84a6fc9e
parentx11-libs/fltk: Depend on x11-libs/cairo[X] (bug #591928). (diff)
downloadgentoo-fd5fb1553ba548e3b5553c46170ea3b91a71fed2.tar.gz
gentoo-fd5fb1553ba548e3b5553c46170ea3b91a71fed2.tar.bz2
gentoo-fd5fb1553ba548e3b5553c46170ea3b91a71fed2.zip
www-client/chromium: dev channel bump (54.0.2837.0)
Fix build with system libjpeg (bug #584518). Package-Manager: portage-2.2.28
-rw-r--r--www-client/chromium/Manifest2
-rw-r--r--www-client/chromium/chromium-54.0.2837.0.ebuild (renamed from www-client/chromium/chromium-54.0.2824.0.ebuild)302
-rw-r--r--www-client/chromium/files/chromium-gn-r5.patch27
3 files changed, 176 insertions, 155 deletions
diff --git a/www-client/chromium/Manifest b/www-client/chromium/Manifest
index 7d9a41e665b3..43da9dc7e429 100644
--- a/www-client/chromium/Manifest
+++ b/www-client/chromium/Manifest
@@ -1,5 +1,5 @@
DIST chromium-52.0.2743.116.tar.xz 458156660 SHA256 a194ae1edb041024b3d4b6ba438f32fefdb6f1ecb24a96c50248a486b237a101 SHA512 c9a8b6d7a22d3b086f1761678f1fa047191a8e44bc6ebe8745e76ea92420b1330fc6e4134ca7bc22c0367e7a25df04900156d0ebb44eae3ef7f98d1deb5362e5 WHIRLPOOL 90cc620e9dab964690a24606ae456e20f1a9dc556301fef33f3599a395ec247cb03712c94522a681f20332b54163896e118463b1b402aff6153b513deb25c5cc
DIST chromium-53.0.2785.34.tar.xz 460739532 SHA256 261ba008c96b335a55feff18785b01484af2d678f85b58206008b31c9e9c372f SHA512 99e0b7a30e34f70ec844ef50f02eadadead2b83f2a47ca7d5779cf0a90bf49e7d3efc1bbc98eb4d1294ed283edd04a993a639003a365e06ae8b2adf26cc1c865 WHIRLPOOL dec533670c1664f88ea32fe253644e479b81fb93bd93f1bc5dbfe41c56979a7642afdfcd041ddf05ca3f0da8e1bedc7ddf48779be3b965038026f65ab199f344
DIST chromium-53.0.2785.70.tar.xz 460838212 SHA256 edd660ea30eeb1a3fccb1c18c725c96bf464b6ea34134c8210ef9dfa8cd35179 SHA512 7029915f983f854ceb2e43b1bc896b2954eb2ca4f704a81070a837e2435ffd0f5a4e4128456826fc70e439997febb1eb715ed33b3336734f137952632f61dd7e WHIRLPOOL d6e51313b37c6408e6f41900b984f1cc835fb247dfb0371eaca9554425df5df2ae1d56e4efd31093c2ffcd0359b457338558ee8e66cd1a67f69528f5461cd5b2
-DIST chromium-54.0.2824.0.tar.xz 459683224 SHA256 7aae8ea2ae681b6971624c1dbcbf9cb56353456a20b91f369381488c8f2e0e94 SHA512 4867661f78fe72c32e8cea5a476cedd5fee9586fe8df8a7bd79f793542caa15fe52596996f8615f66376e75d9bdd92aeaa8aa6241472503ae015ef761f6435a3 WHIRLPOOL 88baed0d7fb13b815df82ffcd5e511ac9ef6ee92d98dff571f5ba5115300859345490c27fa45dab7c3dc99e5cd44310bcaa502ae37808b8694ce1276293d3549
DIST chromium-54.0.2832.2.tar.xz 479876132 SHA256 105145178e6995b57821966b77512918b873e180bfaf6a4991f55c769df04b12 SHA512 e4d4f813df9036d9769003cc115d89139365a898e0ad98faa503bcd066133fa27f653861df1e09d36156f05e30b27ade15e9be2e0c205748feb1ab7913ee2989 WHIRLPOOL 0772494f4956b9e75f09f5ba1ed955178102917c5a59f45f9f34f44d23d334647a6090406c8bc8f9f6dada54758118ed8d1dbdd961f9c3ec30e122a81acc1ad4
+DIST chromium-54.0.2837.0.tar.xz 479983852 SHA256 4813772a104aefc630bd80f81c663f702659fe8a7d592839bf04a1d252e20d75 SHA512 f052afd0b32a1de30df55792c91fbc595489eb347b775e05db7f272e5d88ffc2ff8d498d35c811f2c4e4c14b6cd57d18549dddbbf6b085f5bbe533723dfc2dde WHIRLPOOL d37ec6920ce4922ff2dfd3b4c59691d735301b6124d49f6a854b7eca6975e0588ff975d8337d293a242014d2a5a747695a0dad4216e3c53b552d4a43a6c3a3dc
diff --git a/www-client/chromium/chromium-54.0.2824.0.ebuild b/www-client/chromium/chromium-54.0.2837.0.ebuild
index fd8fabaa4590..7164ae1e2140 100644
--- a/www-client/chromium/chromium-54.0.2824.0.ebuild
+++ b/www-client/chromium/chromium-54.0.2837.0.ebuild
@@ -31,7 +31,7 @@ QA_FLAGS_IGNORED=".*\.nexe"
# right tools for it, bug #469144 .
QA_PRESTRIPPED=".*\.nexe"
-RDEPEND="
+COMMON_DEPEND="
app-arch/bzip2:=
cups? ( >=net-print/cups-1.3.11:= )
>=dev-libs/elfutils-0.149
@@ -40,17 +40,19 @@ RDEPEND="
>=dev-libs/jsoncpp-0.5.0-r1:=
dev-libs/nspr:=
>=dev-libs/nss-3.14.3:=
+ >=dev-libs/re2-0.2016.05.01:=
gnome? ( >=gnome-base/gconf-2.24.0:= )
gnome-keyring? ( >=gnome-base/libgnome-keyring-3.12:= )
>=media-libs/alsa-lib-1.0.19:=
media-libs/fontconfig:=
media-libs/freetype:=
media-libs/libexif:=
+ media-libs/libjpeg-turbo:=
media-libs/libpng:=
media-libs/libvpx:=[svc]
media-libs/speex:=
pulseaudio? ( media-sound/pulseaudio:= )
- system-ffmpeg? ( >=media-video/ffmpeg-2.7.2:= )
+ system-ffmpeg? ( >=media-video/ffmpeg-3.0.1:= )
sys-apps/dbus:=
sys-apps/pciutils:=
>=sys-libs/libcap-2.22:=
@@ -84,8 +86,20 @@ RDEPEND="
kerberos? ( virtual/krb5 )
!gn? (
>=app-accessibility/speech-dispatcher-0.8:=
- )"
-DEPEND="${RDEPEND}
+ )
+"
+# For nvidia-drivers blocker, see bug #413637 .
+RDEPEND="${COMMON_DEPEND}
+ !=www-client/chromium-9999
+ !<www-plugins/chrome-binary-plugins-37
+ x11-misc/xdg-utils
+ virtual/opengl
+ virtual/ttf-fonts
+ selinux? ( sec-policy/selinux-chromium )
+ tcmalloc? ( !<x11-drivers/nvidia-drivers-331.20 )
+ widevine? ( www-plugins/chrome-binary-plugins[widevine(-)] )
+"
+DEPEND="${COMMON_DEPEND}
>=app-arch/gzip-1.7
!arm? (
dev-lang/yasm
@@ -97,29 +111,18 @@ DEPEND="${RDEPEND}
sys-apps/hwids[usb(+)]
>=sys-devel/bison-2.4.3
sys-devel/flex
- virtual/pkgconfig"
+ virtual/pkgconfig
+ $(python_gen_any_dep '
+ dev-python/beautifulsoup:python-2[${PYTHON_USEDEP}]
+ >=dev-python/beautifulsoup-4.3.2:4[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/ply[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ ')
+"
-# For nvidia-drivers blocker, see bug #413637 .
-RDEPEND+="
- !=www-client/chromium-9999
- !<www-plugins/chrome-binary-plugins-37
- x11-misc/xdg-utils
- virtual/opengl
- virtual/ttf-fonts
- selinux? ( sec-policy/selinux-chromium )
- tcmalloc? ( !<x11-drivers/nvidia-drivers-331.20 )
- widevine? ( www-plugins/chrome-binary-plugins[widevine(-)] )"
-
-# Python dependencies. The DEPEND part needs to be kept in sync
-# with python_check_deps.
-DEPEND+=" $(python_gen_any_dep '
- dev-python/beautifulsoup:python-2[${PYTHON_USEDEP}]
- >=dev-python/beautifulsoup-4.3.2:4[${PYTHON_USEDEP}]
- dev-python/html5lib[${PYTHON_USEDEP}]
- dev-python/jinja[${PYTHON_USEDEP}]
- dev-python/ply[${PYTHON_USEDEP}]
- dev-python/simplejson[${PYTHON_USEDEP}]
-')"
+# Keep this in sync with the python_gen_any_dep call.
python_check_deps() {
has_version --host-root "dev-python/beautifulsoup:python-2[${PYTHON_USEDEP}]" &&
has_version --host-root ">=dev-python/beautifulsoup-4.3.2:4[${PYTHON_USEDEP}]" &&
@@ -159,16 +162,16 @@ For other desktop environments, try one of the following:
PATCHES=(
"${FILESDIR}/${PN}-system-ffmpeg-r3.patch"
- "${FILESDIR}/${PN}-system-jinja-r12.patch"
+ "${FILESDIR}/${PN}-system-jinja-r13.patch"
"${FILESDIR}/${PN}-widevine-r1.patch"
- "${FILESDIR}/${PN}-last-commit-position-r1.patch"
- "${FILESDIR}/${PN}-gn-r4.patch"
+ "${FILESDIR}/${PN}-gn-r5.patch"
)
pkg_pretend() {
- if [[ $(tc-getCC) == *gcc* ]] && \
- [[ $(gcc-major-version)$(gcc-minor-version) -lt 48 ]]; then
- die 'At least gcc 4.8 is required, see bugs: #535730, #525374, #518668.'
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ if tc-is-gcc && ! version_is_at_least 4.8 "$(gcc-version)"; then
+ die 'At least gcc 4.8 is required, see bugs: #535730, #525374, #518668.'
+ fi
fi
# Check build requirements, bug #541816 and bug #471810 .
@@ -183,13 +186,6 @@ pkg_pretend() {
}
pkg_setup() {
- if [[ "${SLOT}" == "0" ]]; then
- CHROMIUM_SUFFIX=""
- else
- CHROMIUM_SUFFIX="-${SLOT}"
- fi
- CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser${CHROMIUM_SUFFIX}"
-
# Make sure the build system will use the right python, bug #344367.
python-any-r1_pkg_setup
@@ -199,130 +195,127 @@ pkg_setup() {
src_prepare() {
default
- local conditional_bundled_libraries=""
+ local keeplibs=(
+ base/third_party/dmg_fp
+ base/third_party/dynamic_annotations
+ base/third_party/icu
+ base/third_party/nspr
+ base/third_party/superfasthash
+ base/third_party/symbolize
+ base/third_party/valgrind
+ base/third_party/xdg_mime
+ base/third_party/xdg_user_dirs
+ breakpad/src/third_party/curl
+ chrome/third_party/mozilla_security_manager
+ courgette/third_party
+ net/third_party/mozilla_security_manager
+ net/third_party/nss
+ third_party/WebKit
+ third_party/analytics
+ third_party/angle
+ third_party/angle/src/common/third_party/numerics
+ third_party/angle/src/third_party/compiler
+ third_party/angle/src/third_party/libXNVCtrl
+ third_party/angle/src/third_party/murmurhash
+ third_party/angle/src/third_party/trace_event
+ third_party/boringssl
+ third_party/brotli
+ third_party/cacheinvalidation
+ third_party/catapult
+ third_party/catapult/third_party/polymer
+ third_party/catapult/third_party/py_vulcanize
+ third_party/catapult/third_party/py_vulcanize/third_party/rcssmin
+ third_party/catapult/third_party/py_vulcanize/third_party/rjsmin
+ third_party/catapult/tracing/third_party/d3
+ third_party/catapult/tracing/third_party/gl-matrix
+ third_party/catapult/tracing/third_party/jszip
+ third_party/catapult/tracing/third_party/mannwhitneyu
+ third_party/ced
+ third_party/cld_2
+ third_party/cld_3
+ third_party/cros_system_api
+ third_party/cython/python_flags.py
+ third_party/devscripts
+ third_party/dom_distiller_js
+ third_party/fips181
+ third_party/flatbuffers
+ third_party/flot
+ third_party/google_input_tools
+ third_party/google_input_tools/third_party/closure_library
+ third_party/google_input_tools/third_party/closure_library/third_party/closure
+ third_party/hunspell
+ third_party/iccjpeg
+ third_party/icu
+ third_party/jstemplate
+ third_party/khronos
+ third_party/leveldatabase
+ third_party/libXNVCtrl
+ third_party/libaddressinput
+ third_party/libjingle
+ third_party/libphonenumber
+ third_party/libsecret
+ third_party/libsrtp
+ third_party/libudev
+ third_party/libusb
+ third_party/libwebm
+ third_party/libxml/chromium
+ third_party/libyuv
+ third_party/lss
+ third_party/lzma_sdk
+ third_party/mesa
+ third_party/modp_b64
+ third_party/mt19937ar
+ third_party/openh264
+ third_party/openmax_dl
+ third_party/opus
+ third_party/ots
+ third_party/pdfium
+ third_party/pdfium/third_party/agg23
+ third_party/pdfium/third_party/base
+ third_party/pdfium/third_party/bigint
+ third_party/pdfium/third_party/freetype
+ third_party/pdfium/third_party/lcms2-2.6
+ third_party/pdfium/third_party/libjpeg
+ third_party/pdfium/third_party/libopenjpeg20
+ third_party/pdfium/third_party/libpng16
+ third_party/pdfium/third_party/libtiff
+ third_party/pdfium/third_party/zlib_v128
+ third_party/polymer
+ third_party/protobuf
+ third_party/protobuf/third_party/six
+ third_party/qcms
+ third_party/sfntly
+ third_party/skia
+ third_party/smhasher
+ third_party/sqlite
+ third_party/tcmalloc
+ third_party/usrsctp
+ third_party/web-animations-js
+ third_party/webdriver
+ third_party/webrtc
+ third_party/widevine
+ third_party/woff2
+ third_party/x86inc
+ third_party/zlib/google
+ url/third_party/mozilla
+ v8/src/third_party/valgrind
+ )
if ! use system-ffmpeg; then
- conditional_bundled_libraries+=" third_party/ffmpeg"
+ keeplibs+=( third_party/ffmpeg )
fi
if use gn; then
- conditional_bundled_libraries+="
+ keeplibs+=(
base/third_party/libevent
third_party/adobe
third_party/speech-dispatcher
third_party/usb_ids
third_party/xdg-utils
third_party/yasm/run_yasm.py
- "
+ )
fi
# Remove most bundled libraries. Some are still needed.
- build/linux/unbundle/remove_bundled_libraries.py \
- ${conditional_bundled_libraries} \
- 'base/third_party/dmg_fp' \
- 'base/third_party/dynamic_annotations' \
- 'base/third_party/icu' \
- 'base/third_party/nspr' \
- 'base/third_party/superfasthash' \
- 'base/third_party/symbolize' \
- 'base/third_party/valgrind' \
- 'base/third_party/xdg_mime' \
- 'base/third_party/xdg_user_dirs' \
- 'breakpad/src/third_party/curl' \
- 'chrome/third_party/mozilla_security_manager' \
- 'courgette/third_party' \
- 'net/third_party/mozilla_security_manager' \
- 'net/third_party/nss' \
- 'third_party/WebKit' \
- 'third_party/analytics' \
- 'third_party/angle' \
- 'third_party/angle/src/common/third_party/numerics' \
- 'third_party/angle/src/third_party/compiler' \
- 'third_party/angle/src/third_party/libXNVCtrl' \
- 'third_party/angle/src/third_party/murmurhash' \
- 'third_party/angle/src/third_party/trace_event' \
- 'third_party/boringssl' \
- 'third_party/brotli' \
- 'third_party/cacheinvalidation' \
- 'third_party/catapult' \
- 'third_party/catapult/third_party/polymer' \
- 'third_party/catapult/third_party/py_vulcanize' \
- 'third_party/catapult/third_party/py_vulcanize/third_party/rcssmin' \
- 'third_party/catapult/third_party/py_vulcanize/third_party/rjsmin' \
- 'third_party/catapult/tracing/third_party/d3' \
- 'third_party/catapult/tracing/third_party/gl-matrix' \
- 'third_party/catapult/tracing/third_party/jszip' \
- 'third_party/catapult/tracing/third_party/mannwhitneyu' \
- 'third_party/ced' \
- 'third_party/cld_2' \
- 'third_party/cros_system_api' \
- 'third_party/cython/python_flags.py' \
- 'third_party/devscripts' \
- 'third_party/dom_distiller_js' \
- 'third_party/dom_distiller_js/dist/proto_gen/third_party/dom_distiller_js' \
- 'third_party/fips181' \
- 'third_party/flatbuffers' \
- 'third_party/flot' \
- 'third_party/google_input_tools' \
- 'third_party/google_input_tools/third_party/closure_library' \
- 'third_party/google_input_tools/third_party/closure_library/third_party/closure' \
- 'third_party/hunspell' \
- 'third_party/iccjpeg' \
- 'third_party/icu' \
- 'third_party/jstemplate' \
- 'third_party/khronos' \
- 'third_party/leveldatabase' \
- 'third_party/libXNVCtrl' \
- 'third_party/libaddressinput' \
- 'third_party/libjingle' \
- 'third_party/libjpeg_turbo' \
- 'third_party/libphonenumber' \
- 'third_party/libsecret' \
- 'third_party/libsrtp' \
- 'third_party/libudev' \
- 'third_party/libusb' \
- 'third_party/libwebm' \
- 'third_party/libxml/chromium' \
- 'third_party/libyuv' \
- 'third_party/lss' \
- 'third_party/lzma_sdk' \
- 'third_party/mesa' \
- 'third_party/modp_b64' \
- 'third_party/mt19937ar' \
- 'third_party/openh264' \
- 'third_party/openmax_dl' \
- 'third_party/opus' \
- 'third_party/ots' \
- 'third_party/pdfium' \
- 'third_party/pdfium/third_party/agg23' \
- 'third_party/pdfium/third_party/base' \
- 'third_party/pdfium/third_party/bigint' \
- 'third_party/pdfium/third_party/freetype' \
- 'third_party/pdfium/third_party/lcms2-2.6' \
- 'third_party/pdfium/third_party/libjpeg' \
- 'third_party/pdfium/third_party/libopenjpeg20' \
- 'third_party/pdfium/third_party/libpng16' \
- 'third_party/pdfium/third_party/libtiff' \
- 'third_party/pdfium/third_party/zlib_v128' \
- 'third_party/polymer' \
- 'third_party/protobuf' \
- 'third_party/protobuf/third_party/six' \
- 'third_party/qcms' \
- 'third_party/re2' \
- 'third_party/sfntly' \
- 'third_party/skia' \
- 'third_party/smhasher' \
- 'third_party/sqlite' \
- 'third_party/tcmalloc' \
- 'third_party/usrsctp' \
- 'third_party/web-animations-js' \
- 'third_party/webdriver' \
- 'third_party/webrtc' \
- 'third_party/widevine' \
- 'third_party/woff2' \
- 'third_party/x86inc' \
- 'third_party/zlib/google' \
- 'url/third_party/mozilla' \
- 'v8/src/third_party/valgrind' \
- --do-remove || die
+ build/linux/unbundle/remove_bundled_libraries.py "${keeplibs[@]}" --do-remove || die
}
src_configure() {
@@ -347,12 +340,10 @@ src_configure() {
# Use system-provided libraries.
# TODO: use_system_hunspell (upstream changes needed).
# TODO: use_system_icu (bug #576370).
- # TODO: use_system_libjpeg (bug #584518).
# TODO: use_system_libsrtp (bug #459932).
# TODO: use_system_libusb (http://crbug.com/266149).
# TODO: use_system_opus (https://code.google.com/p/webrtc/issues/detail?id=3077).
# TODO: use_system_protobuf (bug #525560).
- # TODO: use_system_re2 (bug #571156).
# TODO: use_system_ssl (http://crbug.com/58087).
# TODO: use_system_sqlite (http://crbug.com/22208).
myconf_gyp+="
@@ -378,11 +369,13 @@ src_configure() {
flac
harfbuzz-ng
libevent
+ libjpeg
libpng
libvpx
libwebp
libxml
libxslt
+ re2
snappy
yasm
zlib"
@@ -441,7 +434,7 @@ src_configure() {
myconf_gyp+=" -Dfieldtrial_testing_like_official_build=1"
myconf_gn+=" fieldtrial_testing_like_official_build=true"
- if [[ $(tc-getCC) == *clang* ]]; then
+ if tc-is-clang; then
myconf_gyp+=" -Dclang=1"
myconf_gn+=" is_clang=true clang_base_path=\"/usr\" clang_use_chrome_plugins=false"
else
@@ -621,6 +614,7 @@ src_compile() {
}
src_install() {
+ local CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser${CHROMIUM_SUFFIX}"
exeinto "${CHROMIUM_HOME}"
doexe out/Release/chrome || die
diff --git a/www-client/chromium/files/chromium-gn-r5.patch b/www-client/chromium/files/chromium-gn-r5.patch
new file mode 100644
index 000000000000..beb844fb6c81
--- /dev/null
+++ b/www-client/chromium/files/chromium-gn-r5.patch
@@ -0,0 +1,27 @@
+Index: tools/gn/bootstrap/bootstrap.py
+diff --git a/tools/gn/bootstrap/bootstrap.py b/tools/gn/bootstrap/bootstrap.py
+index aab92c243167769cb7ccbb2bd50672800ab43e3e..b07fd0a8eaf139e4d09e1641ce265353a3cd3ee5 100755
+--- a/tools/gn/bootstrap/bootstrap.py
++++ b/tools/gn/bootstrap/bootstrap.py
+@@ -445,6 +445,21 @@ def write_gn_ninja(path, root_gen_dir, options):
+ 'base/synchronization/lock.cc',
+ 'base/sys_info.cc',
+ 'base/task_runner.cc',
++ 'base/task_scheduler/delayed_task_manager.cc',
++ 'base/task_scheduler/post_task.cc',
++ 'base/task_scheduler/priority_queue.cc',
++ 'base/task_scheduler/scheduler_lock_impl.cc',
++ 'base/task_scheduler/scheduler_service_thread.cc',
++ 'base/task_scheduler/scheduler_worker.cc',
++ 'base/task_scheduler/scheduler_worker_pool_impl.cc',
++ 'base/task_scheduler/scheduler_worker_stack.cc',
++ 'base/task_scheduler/sequence.cc',
++ 'base/task_scheduler/sequence_sort_key.cc',
++ 'base/task_scheduler/task.cc',
++ 'base/task_scheduler/task_scheduler.cc',
++ 'base/task_scheduler/task_scheduler_impl.cc',
++ 'base/task_scheduler/task_tracker.cc',
++ 'base/task_scheduler/task_traits.cc',
+ 'base/third_party/dmg_fp/dtoa_wrapper.cc',
+ 'base/third_party/dmg_fp/g_fmt.cc',
+ 'base/third_party/icu/icu_utf.cc',